from sqlalchemy.ext.declarative import declarative_base
from sqlalchemy import Column, BigInteger
from sqlalchemy.schema import Identity

Base = declarative_base()


class InsumoModel(Base):

    __abstract__ = True

    INTERN_ID_BCOM = Column(BigInteger, primary_key=True, autoincrement=True)


class InsumoModelOracle(Base):

    __abstract__ = True

    INTERN_ID_BCOM = Column(BigInteger, Identity(start=1), primary_key=True)
